#include <stdio.h>
#include <stdlib.h>
#include "conftree.h"
#include "confpile.h"

#if BCC32 || CYGWIN
char *_pgmptr;
#endif

main(int argc,char *argv[]){
  int iError;
  tConfigTree MyCONF;

#if BCC32 || CYGWIN
  _pgmptr = argv[0];
#endif

  if( argc < 3 ){
    fprintf(stderr,"Usage: cftc textinput binaryoutput\n"
                   "\nCompile text config information to binary format.\n");
    exit(1);
    }

  cft_init(&MyCONF,NULL,NULL,NULL);
  iError = cft_ReadTextConfig(&MyCONF,argv[1]);
  if( iError != 0 ){
    fprintf(stderr,"Input file %s can not be processed.\n",argv[1]);
    fprintf(stderr,"The error code is %d\n",iError);
    exit(iError);
    }

  iError = cft_WriteConfig(&MyCONF,argv[2]);
  if( iError != 0 ){
    fprintf(stderr,"Output file %s can not be processed.\n",argv[1]);
    fprintf(stderr,"The error code is %d\n",iError);
    exit(iError);
    }
  }
