$CONFIGDIR="/etc/scriba";
$INCLUDE="/usr/share/scriba/include";
$SOURCE="/usr/share/scriba/source";
$MODULE="/usr/local/lib/scriba";
$LIB="/usr/local/lib";
$CACHE="/var/cache/scriba/cache";
$HEBTEMP="/var/cache/scriba/hebtemp";
$BIN="/usr/bin";
$LOG="/var/log/scriba";
$ETC="/etc/init.d";

@DIRS = (
$CONFIGDIR,
$INCLUDE,
$SOURCE,
$MODULE,
);

open(F,">/usr/src/redhat/SPECS/scriba-rpm.spec") or die "cannot write the spec file";

open(BUILD,"build.txt") or die "can not read build number";
$BUILD =<BUILD>;
close BUILD;
chomp $BUILD;

print F <<END;
#
# ScriptBasic RPM spec file
#
# Use this file to build the RPM package of the actual ScriptBasic build
# The command to build the RPM file is: make rpm
#
Summary: ScriptBasic interpreter
Name: scriba
Version: 1.0b$BUILD
Release: 1
Copyright: LGPL
Group: Applications/Interpreter
Source: http://scriptbasic.com/scriba-v1.0b${BUILD}-source.tar.gz
URL: http://scripbasic.com
Packager: Peter Verhas <peter\@verhas.com>

%description
ScriptBasic is a BASIC interpreter implementing a scripting
version of the language BASIC. It comes with a command line
version of the interpreter as well as a standalone http daemon
with ScriptBasic built in. ScriptBasic can handle external
modules written in C and can easily embedded delivering
a well defined and featureful API for C and C++ programmers.

%prep

%setup

%build
make all

%install
make install

%files
$BIN/scriba
$BIN/cftc
$BIN/sbhttpd
$LIB/libscriba.a
$ETC/sbhttpd
END

for $dir ( @DIRS ){
  opendir(DIR,$dir);
  @fl = readdir(DIR);
  closedir DIR;

  for $f (@fl){
    next if $f eq '..' or $f eq '.';
    print F "$dir/$f\n";
    }
  }

close F;

